%global srcname mailcap

%global aliases see edit compose print

%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name: run-mailcap
License: Public Domain
Version: 3.74
Release: %mkrel 1.1
Group: System/Base
Summary: The run-mailcap script from Debian's mailcap package
Summary(eo): La skripto run-mailcap el la pako mailcap de Debiano
URL: https://salsa.debian.org/debian/mailcap
Source: https://salsa.debian.org/debian/mailcap/-/archive/debian/3.74/%{srcname}-debian-%{version}.tar.bz2
Patch0: run-mailcap-xdg-terminal-exec.diff
BuildArch: noarch

Requires: mailcap
Requires: perl
Requires: xdg-terminal-exec

Recommends: bzip2
Recommends: file
Recommends: xz
Recommends: zstd

# Debian's older name
Obsoletes: mime-support < 3.6.7

%description 
The run-mailcap script from Debian's mailcap package. Used in the default
configuration of mc, by xdg-open when no suitable program is found, etc.

%description -l eo
La skripto run-mailcap el la pako mailcap de Debiano. Uzata en la apriora agordo
de mc, de xdg-open kiam neniu taŭga programo estas trovebla ktp.

%prep
%autosetup -p1 -n %{srcname}-debian-%{version}

%build
mv %{name}.man %{name}.1
for a in %{aliases}; do
  ln -s %{name} ${a}
  ln -s %{name}.1 ${a}.1
done

%install
mkdir -p %{buildroot}%{_bindir}
cp run-mailcap %{aliases} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp *.1 %{buildroot}/%{_mandir}/man1

%files
%{_bindir}/
%{_mandir}/man1/
